package com.jjt.biz.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Random;

/**
 * 生产趋势视图
 *
 * @author ruoyi
 * @date 2024-12-30
 */
@ApiModel(value = "ProdTradeVO", description = "生产趋势视图")
@Data
public class ProdTradeVO {
    @ApiModelProperty("时间")
    private String date;

    @ApiModelProperty("原始时间")
    private String tips;
    @ApiModelProperty("经编米数")
    private BigDecimal jbLength;
    @ApiModelProperty("染整米数")
    private BigDecimal rzLength;
    @ApiModelProperty("经编重量")
    private BigDecimal jbWeight;
    @ApiModelProperty("染整重量")
    private BigDecimal rzWeight;

    public void mock() {
        Random random = new Random();
        this.jbLength = BigDecimal.valueOf(32000 + random.nextInt(13000));
        this.rzLength = BigDecimal.valueOf(32000 + random.nextInt(13000));
        this.jbWeight = BigDecimal.valueOf(60 + random.nextInt(60));
        this.rzWeight = BigDecimal.valueOf(50 + random.nextInt(70));
    }
}
